module World.Query.Robo_Pack where

import World.Type
import Util.RestrictedFiniteMap 
                              ( lookupFM )
import Util.RestrictedSet     ( setToList )

------------------------------------------------------------------------------

robot_pack                    :: RobotID -> Info -> [ PackID ]
robot_pack rid i              =  case lookupFM ( robot_packs i ) rid of
                      Nothing -> []
		      Just ps -> setToList ps
