module Geo.Distance 
 ( 
 	DistanceMap
  , module Geo.Membership
  , module Data.Word
  , module Data.Array.IO
  , module GHC.Exts	
 )
where

import Geo.Membership

import qualified World.Type as W

import Data.Array.IO
import Data.Word
import GHC.Exts

-- segmentation of the board for finding shortest paths
-- between to points in the middle of the segment 
-- (homebase)

-- old version, for testing
-- type DistanceMap = IOArray Int Membership

-- new version, for efficiency
type DistanceMap = IOUArray Int Membership


