module Patti.Drops where

import World
import Util.RestrictedFiniteMap
import Util.RestrictedSet
import Maybe

------------------------------------------------------------------------------

drops                         :: Info -> [ PackID ]
drops i                       =  packids

    where my_packids          =  setToList 
			      $  lookupWithDefaultFM 
				 ( robot_packs i )
				 ( emptySet      )
				 ( my_id       i )

          packids             =  filter 
				 ( \ pid -> ppos pid == robot_pos ( my_id i ) i
				 ) my_packids

          ppos pid            =  get_pos $ lookupWithDefaultFM
				           ( packages  i )
					   ( error "h?" )
					   (         pid )

          get_pos pack        =  fromMaybe 
				 ( error      "h?" )
				 ( destination pack )
